HP Views Designer Assistant: Card Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Attributes | List of all members
Card Class Reference

The card class. Represents the elements in information screens. More...

`#include <card.h>`

## Public Member Functions

| Card ()
| Card constructor.
void | addProperty (QString name, QString value)
| addProperty Adds card property. More...
void | editProperty (int index, QString name, QString value)
| editProperty Modifies card property. More...
void | removeProperty (int indexProperty)
| removeProperty Removes card property. More...
QStringList | getProperty (int indexProperty)
| getProperty Returns the property at the specified position. More...
QStringList | takeProperty (int indexProperty)
| takeProperty Returns and remove the property at the specified position. More...
int | getNumberOfProperties ()
| getNumberOfProperties Returns the number of properties. More...
QString | getIconImage () const
| getIconImage Returns the image path of the card icon. More...
void | setIconImage (const QString &value)
| setIconImage Replaces the card icon image. More...
QString | getTitle () const
| getTitle Returns the title of the card. More...
void | setTitle (const QString &value)
| setTitle Replaces the title of the card. More...

## Private Attributes

QString | iconImage
| iconImage Path to the card icon image.
QString | title
| title Title of the card.
QStringList | propertyNames
| propertyNames Names of the properties.
QStringList | propertyValues
| propertyValues Value of the properties.

## Detailed Description

The card class. Represents the elements in information screens.

## Member Function Documentation

## ◆ addProperty()

void Card::addProperty | ( | QString | name,
|  | QString | value
| ) |  |

addProperty Adds card property.

Parameters

  name | name of the property.
  value | value of the property.

## ◆ editProperty()

void Card::editProperty | ( | int | index,
|  | QString | name,
|  | QString | value
| ) |  |

editProperty Modifies card property.

Parameters

  index | Property index.
  name | Property name.
  value | Property value.

## ◆ getIconImage()

QString Card::getIconImage | ( |  | ) | const

getIconImage Returns the image path of the card icon.

Returns
  Path of the image.

## ◆ getNumberOfProperties()

int Card::getNumberOfProperties | ( |  | ) |

getNumberOfProperties Returns the number of properties.

Returns
  Number of properties.

## ◆ getProperty()

QStringList Card::getProperty | ( | int | indexProperty | ) |

getProperty Returns the property at the specified position.

Parameters

  indexProperty | Index of the element to return.

Returns
  List with property name and property value.

## ◆ getTitle()

QString Card::getTitle | ( |  | ) | const

getTitle Returns the title of the card.

Returns
  Title of the card.

## ◆ removeProperty()

void Card::removeProperty | ( | int | indexProperty | ) |

removeProperty Removes card property.

Parameters

  indexProperty | The indexProperty to be removed.

## ◆ setIconImage()

void Card::setIconImage | ( | const QString & | value | ) |

setIconImage Replaces the card icon image.

Parameters

  value | Path to the image.

## ◆ setTitle()

void Card::setTitle | ( | const QString & | value | ) |

setTitle Replaces the title of the card.

Parameters

  value | Title of the card.

## ◆ takeProperty()

QStringList Card::takeProperty | ( | int | indexProperty | ) |

takeProperty Returns and remove the property at the specified position.

Parameters

  indexProperty | Index of the element to return.

Returns
  List with property name and property value.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Model/card.h
- D:/Documentos/ViewDesignerAssistant/Model/card.cpp